### Enumeration

# FwupdPlugin TpmAlg

#### Declaration

    enum FwupdPlugin.TpmAlg

#### Description

No description available.

#### Members

`FU_TPM_ALG_UNKNOWN`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_TPM_ALG_SHA1`

  No description available.

  - Value: `4`
  - Available since: 1.0
`FU_TPM_ALG_SHA256`

  No description available.

  - Value: `11`
  - Available since: 1.0
`FU_TPM_ALG_SHA384`

  No description available.

  - Value: `12`
  - Available since: 1.0
`FU_TPM_ALG_SHA512`

  No description available.

  - Value: `13`
  - Available since: 1.0
`FU_TPM_ALG_SM3_256`

  No description available.

  - Value: `18`
  - Available since: 1.0
`FU_TPM_ALG_SHA3_256`

  No description available.

  - Value: `39`
  - Available since: 1.0
`FU_TPM_ALG_SHA3_384`

  No description available.

  - Value: `40`
  - Available since: 1.0
`FU_TPM_ALG_SHA3_512`

  No description available.

  - Value: `41`
  - Available since: 1.0